package cz.vity.freerapid.plugins.services.rusfolder;

import org.apache.commons.httpclient.HttpConnection;
import org.apache.commons.httpclient.HttpException;
import org.apache.commons.httpclient.HttpState;
import org.apache.commons.httpclient.StatusLine;
import org.apache.commons.httpclient.methods.GetMethod;

import java.io.IOException;

/**
 *
 * @author JPEXS (modified by vixle)
 */
public class GetMethodNoStat extends GetMethod{
    public GetMethodNoStat(){

    }

    public GetMethodNoStat(String uri) {
        super(uri);
    }


    @Override
    protected void readResponse(HttpState state, HttpConnection conn)
    throws IOException, HttpException {
        this.statusLine = new StatusLine("HTTP/1.1 200 OK");
        processStatusLine(state, conn);
        readResponseBody(state, conn);
        processResponseBody(state, conn);
    }

}